#select outcome 

d$y <- NA
d$y[d$prend1=="Yes"] <- 0
d$y[d$prend6=="Yes"] <- 1
table(d$y)

table(d$y, d$cond, d$sex)

d <- d[!is.na(d$y), ]

##select data
y=d$y

n=length(y)

sex=as.factor(d$sex)
n.sex=length(unique(sex))

cond=as.factor(d$cond)
n.cond=length(unique(cond))

ageGroup=as.factor(d$ageGroup)
n.ageGroup=length(unique(ageGroup))

eduGroup=as.factor(d$eduGroup)
n.eduGroup=length(unique(eduGroup))

incGroup=as.factor(d$incGroup)
n.incGroup=length(unique(incGroup))

edu=d$edu
inc=d$inc

middleAged=d$middleAged

station=as.factor(as.character(d$station)) 
n.station=length(unique(station))

muslim=as.factor(d$muslim)
n.muslim=length(unique(muslim))

weight=d$weight
yMean=mean(y, na.rm=T)
ySD=sd(y, na.rm=T)

datalist <- list(y=y, n=n, #outcome
                 ageGroup=ageGroup, n.ageGroup=n.ageGroup,
                 eduGroup=eduGroup, n.eduGroup=n.eduGroup,
                 incGroup=incGroup, n.incGroup=n.incGroup,
                 station=station, n.station=n.station,
                 sex=sex, n.sex=n.sex,
                 cond=cond, n.cond=n.cond
                 ,
                 muslim=muslim, n.muslim=n.muslim, weight=weight,
                 yMean=yMean,
                 ySD=ySD
                 )
datalist
#source model script 
source("dnormScriptSimpleWeights.R")

#source parameter list
source("parameterSelection3.R")

library(rjags)
library(runjags)
#run simulation
JagsOutput <- run.jags(method="parallel",
                       model="JagsModel",
                       monitor=MyParameters, 
                       data=datalist,
                       n.chains=3,
                       sample=10000,
                       thin=1,
                       summarise=F,
                       plots=F)

#source output processing
source("modelOutput.R")

#table with 95% central posterior intervals
PostDistChoice<- q1*100

source("sampleSize.R")
ssChoice <- sampleSize

print(round(q1, digits=4))

