#write model
st="model { 
  
for (i in 1:n){


y[i]  ~ dbeta(kappa *  weight[i] *    y.hat[i],
              kappa *  weight[i] * (1-y.hat[i]))



y.hat[i] <- ilogit(

a  + 

#controls
a.station [station [i]] + #place

a.eduGroup[eduGroup[i]] + #sociodemographics
a.incGroup[incGroup[i]] +
a.ageGroup[ageGroup[i]] +
a.muslim  [muslim  [i]] + 

a.Subj    [Subj    [i]] + #repeated measures
a.outcome [outcome [i]] + #multiple outcomes

#factors
a.cond[cond[i]]  + 
a.sex [sex [i]]  +

a.cond.sex[cond[i], sex[i]] 
)

}

#data variance  

kappa ~ dgamma(0.01, 0.01)


#
a ~ dnorm (0, tau.a)
tau.a <- pow(sigma.a, -2)
sigma.a <- 2

#
for (j in 1:n.muslim) { 
a.muslim[j] ~ dnorm (0, tau.a.muslim)
}
tau.a.muslim <- pow(sigma.a.muslim, -2)
sigma.a.muslim <- 2

#
a.height ~ dnorm (0, tau.a.height)
tau.a.height <- pow(sigma.a.height, -2)
sigma.a.height <- 2

#
for (j in 1:n.station) { 
a.station[j] ~  dnorm (0, tau.a.station)
}
tau.a.station <- pow(sigma.a.station, -2)
sigma.a.station ~ dunif(0, 100) #estimated from data

#
for (j in 1:n.Subj) { 
a.Subj[j] ~  dnorm (0, tau.a.Subj)
}
tau.a.Subj <- pow(sigma.a.Subj, -2)
sigma.a.Subj ~ dunif(0, 100) #estimated from data

#
for (j in 1:n.ageGroup) { 
a.ageGroup[j] ~  dnorm (0, tau.a.ageGroup)
}
tau.a.ageGroup <- pow(sigma.a.ageGroup, -2)
sigma.a.ageGroup <- 2 

#
for (j in 1:n.eduGroup) { 
a.eduGroup[j] ~  dnorm (0, tau.a.eduGroup)
}
tau.a.eduGroup <- pow(sigma.a.eduGroup, -2)
sigma.a.eduGroup <- 2 

#
for (j in 1:n.incGroup) { 
a.incGroup[j] ~  dnorm (0, tau.a.incGroup)
}
tau.a.incGroup <- pow(sigma.a.incGroup, -2)
sigma.a.incGroup <- 2 

#                
for (j in 1:n.cond){
a.cond[j] ~  dnorm (0, tau.a.cond)
}
tau.a.cond <- pow(sigma.a.cond, -2)
sigma.a.cond <- 2 

#
for (j in 1:n.sex){
a.sex[j] ~  dnorm (0, tau.a.sex)
}
tau.a.sex <- pow(sigma.a.sex, -2)
sigma.a.sex <- 2 

#
for (j in 1:n.outcome) {
a.outcome[j] ~  dnorm (0, tau.a.outcome)
}
tau.a.outcome <- pow(sigma.a.outcome, -2)
sigma.a.outcome <- 2

#                
for (j in 1:n.cond) { for (k in 1:n.sex){
a.cond.sex[j,k] ~  dnorm (0, tau.a.cond.sex)
}}
tau.a.cond.sex <- pow(sigma.a.cond.sex, -2)
sigma.a.cond.sex <- 2


#center parameters
####refer to Kruschke, John, DBDA, p. 585 for the rationale

#compute cell means
for (j in 1:n.cond    ) {
for (k in 1:n.sex     ) {
for (m in 1:n.muslim  ) {
for (o in 1:n.station ) {
for (p in 1:n.ageGroup) {
for (q in 1:n.eduGroup) {
for (r in 1:n.incGroup) {
for (s in 1:n.outcome ) {

m1[j,k,m,o,p,q,r,s] <-       
                 
                 a +
                 
                 a.cond    [j] +
                 a.sex     [k] +
                 
                
                 
                 a.muslim  [m] +
                 a.station [o] +
                 a.ageGroup[p] +
                 a.eduGroup[q] +
                 a.incGroup[r] +
                 a.outcome [s] +
                 
                 mean(a.Subj[ ])  +
                 
                 a.cond.sex     [j,k] 
                 

                 
                 
}}}}}}}}

mu                      <- ilogit(mean(m1[ , , , , , , , ]))

#
for (j in 1:n.cond    ) {
mu.cond[j]              <- ilogit(mean(m1[j, , , , , , , ]))
}

#
for (k in 1:n.sex     ) {
mu.sex[k]               <- ilogit(mean(m1[ ,k, , , , , , ]))
}

#
for (j in 1:n.cond    ) { 
for (k in 1:n.sex     ) {
mu.condSex[j,k]         <- ilogit(mean(m1[j,k, , , , , , ])) 
}}

#
for (m in 1:n.muslim  ) {
mu.muslim[m]            <- ilogit(mean(m1[ , ,m, , , , , ]))
}

#
for (o in 1:n.station ) {
mu.station[o]           <- ilogit(mean(m1[ , , ,o, , , , ]))
}

#
for (p in 1:n.ageGroup) {
mu.ageGroup[p]          <- ilogit(mean(m1[ , , , ,p, , , ])) 
}

#
for (q in 1:n.eduGroup) {
mu.eduGroup[q]          <- ilogit(mean(m1[ , , , , ,q, , ])) 
}

#
for (r in 1:n.incGroup) {
mu.incGroup[r]          <- ilogit(mean(m1[ , , , , , ,r, ])) 
}

for (s in 1:n.outcome ) {
mu.outcome[s]           <- ilogit(mean(m1[ , , , , , , ,s])) 
}

#########
meHijab    <- ilogit(mean(m1[2, , , , , , , ])) - ilogit(mean(m1[1, , , , , , , ]))
meMale     <- ilogit(mean(m1[ ,2, , , , , , ])) - ilogit(mean(m1[ ,1, , , , , , ]))

seHijabFemale <- ilogit(mean(m1[2,1, , , , , , ])) - ilogit(mean(m1[1,1, , , , , , ]))
seHijabMale   <- ilogit(mean(m1[2,2, , , , , , ])) - ilogit(mean(m1[1,2, , , , , , ]))

ieHijabMaleVsHijabFemale <- seHijabMale - seHijabFemale


}"

#save model
writeLines(st, con="JagsModel")