#write model
st="model { 
  
for (i in 1:n){


y[i]  ~ dnorm(y.hat[i], tau.y * weight[i])



y.hat[i] <- 

a  + 

#controls
a.station [station [i]] + #place

a.eduGroup[eduGroup[i]] + #sociodemographics
a.incGroup[incGroup[i]] +
a.ageGroup[ageGroup[i]] +
a.muslim  [muslim  [i]] + 

#factors
a.cond[cond[i]]  + 
a.sex [sex [i]]  +

a.cond.sex[cond[i], sex[i]] 

}

#data variance  
tau.y <- pow(sigma.y, -2)
sigma.y ~ dunif(ySD/100, ySD*10)

#
a ~ dnorm (yMean, tau.a)
tau.a <- pow(sigma.a, -2)
sigma.a <- ySD*10

#
for (j in 1:n.muslim) { 
a.muslim[j] ~ dnorm (0, tau.a.muslim)
}
tau.a.muslim <- pow(sigma.a.muslim, -2)
sigma.a.muslim <- ySD*10

#
a.height ~ dnorm (0, tau.a.height)
tau.a.height <- pow(sigma.a.height, -2)
sigma.a.height <- ySD*10

#
for (j in 1:n.station) { 
a.station[j] ~  dnorm (0, tau.a.station)
}
tau.a.station <- pow(sigma.a.station, -2)
sigma.a.station ~ dunif(0, 100) #estimated from data


#
for (j in 1:n.ageGroup) { 
a.ageGroup[j] ~  dnorm (0, tau.a.ageGroup)
}
tau.a.ageGroup <- pow(sigma.a.ageGroup, -2)
sigma.a.ageGroup <- ySD*10 

#
for (j in 1:n.eduGroup) { 
a.eduGroup[j] ~  dnorm (0, tau.a.eduGroup)
}
tau.a.eduGroup <- pow(sigma.a.eduGroup, -2)
sigma.a.eduGroup <- ySD*10 

#
for (j in 1:n.incGroup) { 
a.incGroup[j] ~  dnorm (0, tau.a.incGroup)
}
tau.a.incGroup <- pow(sigma.a.incGroup, -2)
sigma.a.incGroup <- ySD*10 

#                
for (j in 1:n.cond){
a.cond[j] ~  dnorm (0, tau.a.cond)
}
tau.a.cond <- pow(sigma.a.cond, -2)
sigma.a.cond <- ySD*10 

#
for (j in 1:n.sex){
a.sex[j] ~  dnorm (0, tau.a.sex)
}
tau.a.sex <- pow(sigma.a.sex, -2)
sigma.a.sex <- ySD*10 

#                
for (j in 1:n.cond) { for (k in 1:n.sex){
a.cond.sex[j,k] ~  dnorm (0, tau.a.cond.sex)
}}
tau.a.cond.sex <- pow(sigma.a.cond.sex, -2)
sigma.a.cond.sex <- ySD*10


#center parameters
####refer to Kruschke, John, DBDA, p. 585 for the rationale

#compute cell means
for (j in 1:n.cond    ) {
for (k in 1:n.sex     ) {
for (m in 1:n.muslim  ) {
for (o in 1:n.station ) {
for (p in 1:n.ageGroup) {
for (q in 1:n.eduGroup) {
for (r in 1:n.incGroup) {

m1[j,k,m,o,p,q,r] <-       
                 
                 a +
                 
                 a.cond    [j] +
                 a.sex     [k] +
                 
                
                 
                 a.muslim  [m] +
                 a.station [o] +
                 a.ageGroup[p] +
                 a.eduGroup[q] +
                 a.incGroup[r] +
                 
                 a.cond.sex     [j,k] 
                 

                 
                 
}}}}}}}

mu                      <- mean(m1[ , , , , , , ])

#
for (j in 1:n.cond    ) {
mu.cond[j]              <- mean(m1[j, , , , , , ])
}

#
for (k in 1:n.sex     ) {
mu.sex[k]               <- mean(m1[ ,k, , , , , ])
}

#
for (j in 1:n.cond    ) { 
for (k in 1:n.sex     ) {
mu.condSex[j,k]         <- mean(m1[j,k, , , , , ]) 
}}

#
for (m in 1:n.muslim  ) {
mu.muslim[m]            <- mean(m1[ , ,m, , , , ])
}

#
for (o in 1:n.station ) {
mu.station[o]           <- mean(m1[ , , ,o, , , ])
}

#
for (p in 1:n.ageGroup) {
mu.ageGroup[p]          <- mean(m1[ , , , ,p, , ]) 
}

#
for (q in 1:n.eduGroup) {
mu.eduGroup[q]          <- mean(m1[ , , , , ,q, ]) 
}

#
for (r in 1:n.incGroup) {
mu.incGroup[r]          <- mean(m1[ , , , , , ,r]) 
}

#########
meHijab    <- mean(m1[2, , , , , , ]) - mean(m1[1, , , , , , ])
meMale     <- mean(m1[ ,2, , , , , ]) - mean(m1[ ,1, , , , , ])

seHijabFemale <- mean(m1[2,1, , , , , ]) - mean(m1[1,1, , , , , ])
seHijabMale   <- mean(m1[2,2, , , , , ]) - mean(m1[1,2, , , , , ])

ieHijabMaleVsHijabFemale <- seHijabMale - seHijabFemale

meHijab.d                  <- meHijab        /sigma.y
meMale.d                   <- meMale         /sigma.y
seHijabFemale.d            <- seHijabFemale  /sigma.y
seHijabMale.d              <- seHijabMale    /sigma.y


}"

#save model
writeLines(st, con="JagsModel")